package com.brilliance.isc.swift.objmtconvert.model.busvalidator.mt4xx;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTValidator;
import com.brilliance.isc.swift.objmtconvert.result.MtResult;
import com.brilliance.isc.swift.objmtconvert.util.Language;
import com.prowidesoftware.swift.model.field.Field79;
import com.prowidesoftware.swift.model.mt.mt4xx.MT495;


public class MT495Validator extends AbsMTValidator {
    public MT495Validator(String mtStr, MtResult mtResult) {
        super(mtStr, mtResult);
    }

    public MT495Validator() {
    }

    @Override
    public void bussinessValidator() {
        // MtResult mtResult = getMtResult();
        MT495 mt495 = (MT495) this.getAbstractMT();
        Field79 field79 = mt495.getField79();
        if (field79==null){
            mtResult.addDescription(Language.getLanguage("MT495_C1","【MT495】"));
        }
        //   return mtResult;
    }
}
